# ot_select_object.py

# from   ot_select_object  import PRISTINA_OT_SelectObject

import bpy



class PRISTINA_OT_SelectObject( bpy.types.Operator):
    bl_idname      = "pristina.select_object"
    bl_label       = "Select Object in Viewport"
    bl_description = "Select the specified object in the viewport"
    
    @classmethod
    def poll(cls, context):
        props      = context.scene.pristina_properties
        return props.pristina_items and props.active_item_index < len(props.pristina_items)

    def execute(self, context):
        props      = context.scene.pristina_properties
        item       = props.pristina_items[props.active_item_index]
        if item.object_input:
            # Deselect all objects
            bpy.ops.object.select_all(action='DESELECT')
            # Set the selected object as active and select it
            context.view_layer.objects.active = item.object_input
            item.object_input.select_set(True)
        return {'FINISHED'}

