# popup_for_low_credits.py



import bpy
import webbrowser
import subprocess
import platform
from logger_module        import Logger

logger       = Logger.get_logger()      ####################  global, is set up on load 



NEARLY_EMPTY_THRESHOLD = 100         # production setting, number of credits at which to trigger popup

# NEARLY_EMPTY_THRESHOLD = 10_000_000   # 10 million for testing (forces popup)



def check_credits( credits_remaining):
    
    if credits_remaining <= NEARLY_EMPTY_THRESHOLD:
        logger.info( f'Credits now at {credits_remaining} -- launching low credits warning popup')
        bpy.ops.wm.credits_low_popup('INVOKE_DEFAULT')




class CreditsLowPopupOperator(bpy.types.Operator):
    
    bl_idname = "wm.credits_low_popup"
    bl_label  = "Warning: Credits running out"

    def draw(self, context):
        layout = self.layout
        layout.label(text="You have very few credits left")
        layout.label(text="for your Pristina AI renders.")
        layout.label(text="")
        layout.label(text="Click 'OK' to top up.")
        

    def invoke(self, context, event):
        return context.window_manager.invoke_props_dialog(self)



    def execute(self, context):
        url = "https://www.pristina.ai/pricing/"
        try:
            webbrowser.open(url)
            logger.info(f'Browser launched for credits top up')
        except:
            logger.error(f'credits low operator failed to launch web pricing page url')   # previously copied url to clipboard
            
            
        return {'FINISHED'}

